<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="col-md-12 text-center">
                        <h3>{{ viewDate | date:'LLLL' }} {{ viewDate | date:'yyyy' }}</h3>
                    </div>

                    <div class="row text-center">
                        <div class="col-md-12">
                            <div class="btn-group">
                                <!-- (click)="RefreshShift()" -->
                                <div class="btn btn-outline-secondary" mwlCalendarPreviousView [view]="view"
                                    [(viewDate)]="viewDate" 
                                    (viewDateChange)="viewDateChange.next(viewDate)">
                                    <i class="fas fa-long-arrow-alt-left"></i>
                                </div>

                                <div class="btn btn-outline-secondary" mwlCalendarToday [(viewDate)]="viewDate"
                                    (viewDateChange)="viewDateChange.next(viewDate)" >
                                    This Month
                                </div>
                                <div class="btn btn-outline-secondary" mwlCalendarNextView [view]="view" [(viewDate)]="viewDate"
                                    (viewDateChange)="viewDateChange.next(viewDate)" >
                                    <i class="fas fa-long-arrow-alt-right"></i>
                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="appo-calendar">

                        <ng-template #customCellTemplate let-day="day" let-locale="locale">
                            <div class="cal-cell-top">
                                <span class="cal-day-badge calendar-custom-title" *ngIf="day.badgeTotal > 0">
                                    {{day.meta}}
                                </span>
                                <span
                                    class="cal-day-number">{{ day.date | calendarDate:'monthViewDayNumber':locale }}</span>
                            </div>
                        </ng-template>

                        <!-- [ngStyle]="{ backgroundColor: day.backgroundColor }"
                                    (highlightDay)="toggleDayHighlight($event.event, true)"
                      (unhighlightDay)="toggleDayHighlight($event.event, false)"
                      (eventClicked)="eventClicked.emit({ event: $event.event })
                      (dayClicked)="dayClicked($event.day)"[events]="events"
                                 -->
                                 <!-- [refresh]="refresh" -->
                        <mwl-calendar-month-view [viewDate]="viewDate" 
                            (beforeViewRender)="beforeMonthViewRender($event)" 
                            [cellTemplate]=" customCellTemplate"
                            (dayClicked)="dayClicked($event.day)"
                            >
                        </mwl-calendar-month-view>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>